Summary: Broker module for the Workload Management System
Name: glite-wms-broker
Version: %{extversion}
Release: %{extage}.%{extdist}
License: Apache Software License
Vendor: EMI
URL: http://glite.cern.ch/
Group: System Environment/Libraries
BuildArch: %{_arch}
BuildRequires: %{!?extbuilddir: glite-wms-matchmaking-devel,} chrpath
BuildRequires: %{!?extbuilddir: glite-wms-brokerinfo-devel,} libtool
BuildRequires: %{!?extbuilddir: glite-jdl-api-cpp-devel,} boost-devel
BuildRequires: %{!?extbuilddir: glite-build-common-cpp, } classads-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}-%{version}-%{release}.tar.gz

%global debug_package %{nil}

%description
Broker module for the Workload Management System

%prep
 

%setup -c -q

%build
%{!?extbuilddir:%define extbuilddir "--"}
if test "x%{extbuilddir}" == "x--" ; then
  ./configure --prefix=%{buildroot}/usr --disable-static PVER=%{version}
  make
fi

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
%{!?extbuilddir:%define extbuilddir "--"}
if test "x%{extbuilddir}" == "x--" ; then
  make install
else
  cp -R %{extbuilddir}/* %{buildroot}
fi
sed 's|^prefix=.*|prefix=/usr|g' %{buildroot}%{_libdir}/pkgconfig/wms-broker.pc > %{buildroot}%{_libdir}/pkgconfig/wms-broker.pc.new
mv %{buildroot}%{_libdir}/pkgconfig/wms-broker.pc.new %{buildroot}%{_libdir}/pkgconfig/wms-broker.pc
rm %{buildroot}%{_libdir}/*.la
chrpath --delete %{buildroot}%{_libdir}/libglite_wms_broker.so.0.0.0


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
 

%files
%defattr(-,root,root)
%dir /usr/share/doc/glite-wms-broker-%{version}/
/usr/share/doc/glite-wms-broker-%{version}/LICENSE
%{_libdir}/libglite_wms_broker.so.0
%{_libdir}/libglite_wms_broker.so.0.0.0



%package devel
Summary: Development files for the WMS broker module
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: glite-wms-matchmaking-devel, glite-build-common-cpp
Requires: glite-wms-brokerinfo-devel
Requires: glite-jdl-api-cpp-devel

%description devel
Development files for the WMS broker module

%files devel
%defattr(-,root,root)
%dir /usr/include/glite/
%dir /usr/include/glite/wms/
%dir /usr/include/glite/wms/broker/
%dir /usr/include/glite/wms/broker/selectors/
/usr/include/glite/wms/broker/*.h
/usr/include/glite/wms/broker/selectors/*.h
%{_libdir}/pkgconfig/wms-broker.pc
%{_libdir}/libglite_wms_broker.so



%changelog
* %{extcdate} WMS group <wms-support@lists.infn.it> - %{extversion}-%{extage}.%{extdist}
- %{extclog}

